(function ($) {
    "use strict";

    $(document).ready(function () {
        /*---------------------------------------------------
            home screen carousel
        ----------------------------------------------------*/
        $('.home-screen-carousel').owlCarousel({
            loop: true,
            margin: 0,
            animateOut: 'fadeOut',
            animateIn: 'fadeIn',
            responsive: {
                0: {
                    items: 1
                },
                768: {
                    items: 1
                },
                991: {
                    items: 1
                },
                1200: {
                    items: 1
                },
                1920: {
                    items: 1
                }
            }
        });

        /*---------------------------------------------------
            screenshot carousel
        ----------------------------------------------------*/
        $('.screen-carousel').owlCarousel({
            loop: true,
            margin: 0,
            center: true,
            responsive: {
                0: {
                    items: 1
                },
                768: {
                    items: 3
                },
                991: {
                    items: 4
                },
                1200: {
                    items: 4
                },
                1920: {
                    items: 4
                }
            }
        });

        /*---------------------------------------------------
            testimonial carousel
        ----------------------------------------------------*/
        $('.testi-carousel').owlCarousel({
            loop: true,
            margin: 10,
            responsive: {
                0: {
                    items: 1
                },
                768: {
                    items: 1
                },
                991: {
                    items: 1
                },
                1200: {
                    items: 1
                },
                1920: {
                    items: 1
                }
            }
        });

        /*---------------------------------------------------
            core features carousel
        ----------------------------------------------------*/
        var $owlFeatures = $(".core-feat-carousel"),
            $featureLinks = $(".feat-link");
        $owlFeatures.owlCarousel({
            loop: !0,
            responsiveClass: !0,
            margin: 20,
            items: 1,
            dots: !1,
            nav: true,
            navText: ['<i class="icofont-simple-left"></i>', '<i class="icofont-simple-right"></i>'],
            animateOut: 'fadeOut',
            animateIn: 'fadeIn'
        }),
            $owlFeatures.on("changed.owl.carousel", function (e) {
                var o = e.item.index + 1 - e.relatedTarget._clones.length / 2,
                    n = e.item.count;
                (o > n || 0 == o) && (o = n - o % n), o--;
                var t = $(".feat-link:nth(" + o + ")");
                a(t)
            }),
            $featureLinks.on("click", function () {
                var e = $(this).data("owl-item");
                $owlFeatures.trigger("to.owl.carousel", e), a($(this))
            });

        function a(e) {
            $featureLinks.removeClass("active"), e.addClass("active")
        }

        /*---------------------------------------------------
            counter
        ----------------------------------------------------*/
        $('.counter-single h4').counterUp({
            delay: 10, // the delay time in ms
            time: 1000 // the speed time in ms
        });

        /*---------------------------------------------------
                popUp video
        ----------------------------------------------------*/
        $('.popup-video').magnificPopup({
            disableOn: 700,
            type: 'iframe',
            mainClass: 'mfp-fade',
            removalDelay: 160,
            preloader: false,
            fixedContentPos: false,
            disableOn: 300
        });

        /*---------------------------------------------------
            pricing plan swither
        ----------------------------------------------------*/
        var e = document.getElementById("tbl-monthly"),
            d = document.getElementById("tbl-yearly"),
            t = document.getElementById("switcher"),
            m = document.getElementById("monthly"),
            y = document.getElementById("yearly");

        $('#tbl-monthly').on('click', function () {
            t.checked = false;
            e.classList.add("toggler-is-active");
            d.classList.remove("toggler-is-active");
            m.classList.remove("inactive");
            y.classList.add("inactive");
        });

        $('#tbl-yearly').on('click', function () {
            t.checked = true;
            e.classList.add("toggler-is-active");
            d.classList.remove("toggler-is-active");
            m.classList.remove("inactive");
            y.classList.add("inactive");
        });

        $('#switcher').on('click', function () {
            d.classList.toggle("toggler-is-active");
            e.classList.toggle("toggler-is-active");
            m.classList.toggle("inactive");
            y.classList.toggle("inactive");
        })

        /*---------------------------------------------------
            faq accordian
        ----------------------------------------------------*/
        $('.collapse').on('shown.bs.collapse', function () {
            $(this).prev().addClass('active');
        });

        $('.collapse').on('hidden.bs.collapse', function () {
            $(this).prev().removeClass('active');
        });

        /*---------------------------------------------------
            scrollIt plugin activation
        ----------------------------------------------------*/
        $.scrollIt();

    });


    /*---------------------------------------------------
        smooth scroll
    ----------------------------------------------------*/
    $('a[href*="#"]:not([href="#"]):not([data-toggle])').on('click', function () {
        if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
            var target = $(this.hash);
            target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
            if (target.length) {
                $('html, body').animate({
                    scrollTop: target.offset().top
                }, 1000);
                return false;
            }
        }
    });

    /*---------------------------------------------------
        sticky header
    ----------------------------------------------------*/
    $(window).on('scroll', function () {
        var scroll = $(window).scrollTop();
        if (scroll < 100) {
            $("#header").removeClass("sticky");
        } else {
            $("#header").addClass("sticky");
        }
    });

    /*---------------------------------------------------
        preloader
    ----------------------------------------------------*/
    $(window).on('load', function () {
        $('.preloader').fadeOut(500);
    });


}(jQuery));
